質問箱/2504

カテゴリ
サマリ設置後にArrayと出ます。(with PHP 4.3.10)
バージョン1.3.7
投稿者nanasi?
状態完了
投稿日2004-12-24 (金) 12:09:05

質問

某個人サーバーでWikiを設置してちゃんと動作したんですが、ある日いきなりError file is not found (array) (だったっけ)というのが出て、一旦全て消した後、最新版を設置したのですが 今度はarrayというのが何個も出てしまいました。 どうしたらよいでしょう?

ちなみに、Wikiのバージョンは1.3.7、 OSはRedhat9.0+Apache2.0.48 ノートパッドでパスワードとかを変更して、FFFTPでアスキーにて転送しました。

どうぞおねがいします

回答

  • PHPが4.3.10でpukiwikiが1.3.7なんですね? PukiWiki/Install/1.3.xの通りにやれば普通に動くと思うんですが。エディタはEUCを編集できる物にしましょう。あとは、サーバー自体の文字コードかなー? -- 2004-12-24 (金) 12:36:47
  • 「notepad」で変更、というのがWindowsに付属するノートパッドだとしたら、その時点でファイルを壊していると思います。 -- 2004-12-24 (金) 19:04:01
  • ありがとうございます。作動しました。 -- nanasi? 2004-12-24 (金) 20:05:37
  • FAQ/14 -- 2005-01-09 (日) 13:32:10

ひとりごと (PHPアクセラレータと4.3.10)

  • おや、手元のPHPを4.3.10にしたところ、いずれ(1.4.4_php5, 1.3.x, 1.4.x)も「File is not found. (Array)」 というRuntime errorを出す様になりました (^^; 上記の問題とは別件なのかもしれませんが、妙だな・・・ -- henoheno 2004-12-30 (木) 08:49:28
    • error_reporting(E_ALL); にてチェックしたところ、lib/init.php に実はよろしくない(配列を暗黙に文字列として使用している)部分があって、そこを厳密にチェックしているんだと 4.3.10 が言っている様な感じですね。別途確認します。 -- henoheno 2004-12-30 (木) 08:56:59
※以下は 素の PukiWiki 1.4.4_php5 に対して、
  error_reporting(ALL) のみを追加した際に表示されたメッセージです
Warning: Illegal offset type in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Array to string conversion in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Array to string conversion in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in unset in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in unset in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Array to string conversion in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Constant Array already defined in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Array to string conversion in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in unset in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in unset in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Array to string conversion in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Constant Array already defined in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Array to string conversion in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in unset in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in unset in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Array to string conversion in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Constant Array already defined in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Array to string conversion in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in unset in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in unset in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Array to string conversion in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Constant Array already defined in /pukiwiki-1.4.4_php5/lib/init.php on line 44
Notice: Array to string conversion in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in unset in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Warning: Illegal offset type in unset in /pukiwiki-1.4.4_php5/lib/init.php on line 45
Notice: Array to string conversion in /pukiwiki-1.4.4_php5/lib/init.php on line 65
Notice: Array to string conversion in /pukiwiki-1.4.4_php5/lib/init.php on line 65
Warning: Cannot modify header information - headers already sent by
(output started at /pukiwiki-1.4.4_php5/lib/init.php:44) in
/pukiwiki-1.4.4_php5/lib/func.php on line 384
Runtime error
Error message :

File is not found. (Array)
File is not found. (Array)
  • http://www.zend.com/
    • "IMPORTANT NOTICE: Due to incompatibility of the previous version of Zend Optimizer with PHP 4.3.10, it is strongly recommended that owners of Zend Performance Suite, Zend Accelerator, Zend Studio Server, and Zend WinEnabler, upgrade to Zend Optimizer 2.5.7."
  • お、Zend Optimizerとの兼ね合いなのか (^^; 確かにZend Studioデバッガが同じものをエラーと報告しないのが妙と言えば妙だったなぁ (^^; <= Zend Studioサーバーが Zend Optimizer を自動的にインストールすることをあまり認識していない人 -- henoheno 2004-12-30 (木) 09:11:27
    • 確かに Zend Optimizer をアップデートしたら上記メッセージは出なくなりました 今度はでぃあばぁさんが遭遇したアレが出る様になっていますね (^^;, -- henoheno 2004-12-30 (木) 09:28:15
    • 続きは dev:BugTrack/767 にて。


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2007-06-03 (日) 10:54:21
Site admin: PukiWiki Development Team

PukiWiki 1.5.2+ © 2001-2019 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u7. HTML convert time: 0.230 sec.

OSDN